Bug 483889 - Plug-in picture can not display correctly when resize the picture
Plug-in picture can not display correctly when resize the picture
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-04 01:36 EST by Suqin Huang
Modified: 2009-02-11 05:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-11 05:01:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
with acroread mozilla plugin (47.67 KB, image/png)
2009-02-04 04:30 EST, Caolan McNamara
no flags Details
Plugin resize (71.02 KB, application/octet-stream)
2009-02-05 04:41 EST, Suqin Huang
no flags Details
test-case document (14.47 KB, application/vnd.oasis.opendocument.text)
2009-02-05 11:28 EST, Caolan McNamara
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 98909 None None None Never

  None (edit)
Description Suqin Huang 2009-02-04 01:36:36 EST
Description of problem:
Plug-in can not display when resize the plug-in picture.

Version-Release number of selected component (if applicable):
openoffice.org-3.0.1-15.2.fc10.i386

How reproducible:
Always

Steps to Reproduce:
1. Launch oowriter.
2. Click Insert->Object->Plug-in.
2.  Enter the URL for the plug-in or click Browse, and then locate the plug-in that you want to insert.  (I insert a pdf file).
4. Click OK button.
5.  Click on rang of the plug-in picture and drag it to resize the picture.
  
Actual results:
The result is attached, the picture can not display normally.

Expected results:
Plug-in picture display normally with the size set.

Additional info:
Comment 1 Caolan McNamara 2009-02-04 04:28:49 EST
The result is not attached. This menu entry uses whatever firefox/mozilla plugin is available for the type of file inserted, so as you have inserted a .pdf I would also need to know what firefox plugin is listed in firefoxs about:plugins as handling application/pdf. 

e.g. I happen to have adobe acroread installed and in firefoxs about:plugins I have 

Adobe Reader 8.0
...
application/pdf 	Portable Document Format 	pdf 	Yes

and in OOo (after resizing) I have the attached example
Comment 2 Caolan McNamara 2009-02-04 04:30:11 EST
Created attachment 330843 [details]
with acroread mozilla plugin
Comment 3 Suqin Huang 2009-02-05 00:14:30 EST
Adobe reader is available in my system, but the pdf file I insert can not shown as yours, just like the attachment I attached.

about:plugins:
Adobe Reader 8.0
    File name: nswrapper_32_32.nppdf.so
    The Adobe Reader plugin is used to enable viewing of PDF and FDF files from within the browser.
application/pdf 	Portable Document Format 	pdf 	Yes
Comment 4 Caolan McNamara 2009-02-05 04:26:14 EST
You have not attached any attachments. Can you attach the picture you are talking about

Does your pdf work perfectly fine inside firefox btw ?
Comment 5 Suqin Huang 2009-02-05 04:41:33 EST
Created attachment 330976 [details]
Plugin resize

yes, pdf file can be opened with firefox.
Comment 6 Caolan McNamara 2009-02-05 04:49:07 EST
So it doesn't actually show the pdf at all right ?, just that picture of a plugin. We're not talking about poor resizing of a pdf plugin window, we're talking about poor resizing of the *placeholder* image when no plugin is found.

i.e. we can reproduce this by insert->object->plugin /tmp/idontexist and resize that image.
Comment 7 Caolan McNamara 2009-02-05 11:28:25 EST
Created attachment 331028 [details]
test-case document
Comment 8 Caolan McNamara 2009-02-05 11:35:10 EST
Fix checked in. Will be in >= 3.0.1-15.7.f11
Comment 9 Caolan McNamara 2009-02-11 05:01:49 EST
Sample demome.odt has ole object and "missing" plugin examples which all resize correctly in 3.0.1-15.7.f11 on x86_64

Note You need to log in before you can comment on or make changes to this bug.